# Class SimpleMarkerAnnotation

java.lang.Object
org.eclipse.jface.text.source.Annotation
org.eclipse.ui.texteditor.SimpleMarkerAnnotation

Direct Known Subclasses:
  `MarkerAnnotation`

public class SimpleMarkerAnnotation extends Annotation
An annotation representing a marker. This is a model annotation.

Since:
  3.0
See Also:
  - `IMarker`

## Field Summary

### Fields inherited from class Annotation

`TYPE_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`SimpleMarkerAnnotation(String annotationType, IMarker marker)`
Creates a new annotation of the given type for the given marker.
`SimpleMarkerAnnotation(IMarker marker)`
Creates a new annotation for the given marker.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
The `SimpleMarkerAnnotation` implementation of this `Object` method returns `true` iff the other object is of the same class and the marker handles are equal.
`IMarker`
`getMarker()`
Returns this annotation's underlying marker.
`String`
`getText()`
Returns the text associated with this annotation.
`int`
`hashCode()`
`void`
`update()`
Informs this annotation about changes applied to its underlying marker and adapts to those changes.

### Methods inherited from class Annotation

`getType, isMarkedDeleted, isPersistent, markDeleted, setText, setType`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleMarkerAnnotation

public SimpleMarkerAnnotation(IMarker marker)
Creates a new annotation for the given marker.

Parameters:
  `marker` - the marker
See Also:
  - `IMarker`

### SimpleMarkerAnnotation

public SimpleMarkerAnnotation(String annotationType, IMarker marker)
Creates a new annotation of the given type for the given marker.

Parameters:
  `annotationType` - the annotation type
  `marker` - the marker

## Method Details

### getMarker

public IMarker getMarker()
Returns this annotation's underlying marker.

Returns:
  the marker

### equals

public boolean equals(Object o)
The `SimpleMarkerAnnotation` implementation of this `Object` method returns `true` iff the other object is of the same class and the marker handles are equal.

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### update

public void update()
Informs this annotation about changes applied to its underlying marker and adapts to those changes.

Subclasses may extend this method.

### getText

public String getText()
Description copied from class: `Annotation`
Returns the text associated with this annotation.

Overrides:
  `getText` in class `Annotation`
Returns:
  the text associated with this annotation or `null`